

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>News - 1.2.x &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../ja/html/news/1.2.x.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.2.x</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="news-1-2-x">
<h1>News - 1.2.x<a class="headerlink" href="#news-1-2-x" title="Permalink to this headline">¶</a></h1>
<div class="section" id="release-1-2-9-2011-12-29">
<span id="release-1-2-9"></span><h2>Release 1.2.9 - 2011-12-29<a class="headerlink" href="#release-1-2-9-2011-12-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="improvements">
<h3>Improvements<a class="headerlink" href="#improvements" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported Fedora 16.</p></li>
<li><p>Dropped Fedora 15 support.</p></li>
<li><p>[groonga] Improved the default server ID address to work
on unresolved host name environment. [Reported by &#64;uzulla]</p></li>
<li><p>Supported MAP_HUGETLB.</p></li>
<li><p>[admin] Supported throughput chart.</p></li>
<li><p>Stopped adding nul character in <code class="docutils literal notranslate"><span class="pre">grn_itoh()</span></code>. [#1194]
[Reported by SHIDARA Yoji]</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">grn_obj_get_values()</span></code>.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">grn_obj_delete_by_id()</span></code>.</p></li>
<li><p>Supported string vector column for query expansion. [#1216]</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">--filter</span></code> option to <a class="reference internal" href="../reference/commands/delete.html"><span class="doc">delete</span></a> to delete
many record at once. [#1225]</p></li>
<li><p>Supported approximate type customization for
<a class="reference internal" href="../reference/functions/geo_in_circle.html"><span class="doc">geo_in_circle</span></a> and <a class="reference internal" href="../reference/functions/geo_distance.html"><span class="doc">geo_distance</span></a>. [#1226]</p></li>
<li><p>Made <code class="docutils literal notranslate"><span class="pre">geo_distance2()</span></code> and <code class="docutils literal notranslate"><span class="pre">geo_distance3()</span></code> are deprecated.</p></li>
<li><p>Changed to use <code class="docutils literal notranslate"><span class="pre">null</span></code> instead of <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code> for empty geo
point value in JSON output.</p></li>
<li><p>Almost supported MessagePack output. [#1215] [Worked by SHIDARA Yoji]</p></li>
<li><p>Added missing newlines after drilldown result tags in XML output.</p></li>
<li><p>Supported truncate for grn_dat.</p></li>
<li><p>Supported longest common prefix search by grn_dat.</p></li>
</ul>
</div>
<div class="section" id="fixes">
<h3>Fixes<a class="headerlink" href="#fixes" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[windows] Fixed inverted map type.</p></li>
<li><p>Fixed -Wno- compiler flag detection. [Patch by Arnaud Fontaine]</p></li>
<li><p>Fixed a problem that <code class="docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">--version</span></code> reports wrongly
about MeCab. [#1209] [Patch by SHIDARA Yoji]</p></li>
<li><p>Added missing lock into <code class="docutils literal notranslate"><span class="pre">grn_obj_remove()</span></code>.</p></li>
<li><p>Fixed Content-Type on error. [#1220] [Patch by SHIDARA Yoji]</p></li>
<li><p>Fixed a problem that deleting SIS (Semi Infinite String)
may keep a garbage.</p></li>
</ul>
</div>
<div class="section" id="thanks">
<h3>Thanks<a class="headerlink" href="#thanks" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>&#64;uzulla</p></li>
<li><p>Arnaud Fontaine</p></li>
<li><p>SHIDARA Yoji</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-8-2011-11-29">
<span id="release-1-2-8"></span><h2>Release 1.2.8 - 2011-11-29<a class="headerlink" href="#release-1-2-8-2011-11-29" title="Permalink to this headline">¶</a></h2>
<p>Object, table and column renamings are supported! These
features require database re-creation. You can re-create your
database by the following command:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% groonga YOUR_DB dump &gt; db.dump
% groonga -n YOUR_NEW_DB &lt; db.dump
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Groonga 1.2.8 can open databases created by groonga 1.2.7
or earlier. But groonga 1.2.7 or earlier can’t open
databases created by groonga 1.2.8 or later.</p>
</div>
<div class="section" id="id1">
<h3>Improvements<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[grntest] Removed the upper limit to the number of bytes in one line.</p></li>
<li><p>[grntest] Added <code class="docutils literal notranslate"><span class="pre">--pid-path</span></code> option.</p></li>
<li><p>[deb] Enabled experimental zlib and lzo support.</p></li>
<li><p>[rpm] Enabled experimental zlib and lzo support.</p></li>
<li><p>Supports truncation. [#892]</p></li>
<li><p>Enabled grn_dat that is a read lock free double array implementation.</p></li>
<li><p>[pkg-config] Added groonga_version variable to groonga.pc.</p></li>
<li><p>Re-supported <code class="docutils literal notranslate"><span class="pre">--disable-static</span></code>. [groonga-dev,00612]
[Suggested by Kenichi Aramaki]</p></li>
<li><p>[munin] Stopped to install Munin plugins by default.</p></li>
<li><p>Stopped to install RedHat platform related files by default.</p></li>
<li><p>Supports object renaming. This requires DB re-creation. [#1167]</p></li>
<li><p>[munin] Added a Munin plugin that measures throughput. [#1171]</p></li>
<li><p>[geo] Improved geo_in_rectangle performance. The new
implementation will be 2x faster than the old
implementation in many cases. [#1173]</p></li>
<li><p>[macports] Moved groonga’s MacPorts to the official
repository. [Imported by Hiroshi Umemoto]</p></li>
<li><p>[geo] Changed the geo literal degree-to-msec conversion algorithm
to round-off from truncation.</p></li>
<li><p>Supports a table defrag. It defrags variable size value columns in
the table. [#1175]</p></li>
<li><p>Removed associated path on remove. [#1180]</p></li>
<li><p>[deb] Supports i386.</p></li>
<li><p>[rpm] Supports i386.</p></li>
<li><p>[windows] Supports x86.</p></li>
</ul>
</div>
<div class="section" id="id2">
<h3>Fixes<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a bug that groonga crashes when accessing a zlib/lzo compressed
column. Note that a compressed column access causes a memory leak. To
resolve this, we need to improve API. We will do it in the future.
[GtiHub#5][GtiHub#6] [Reported by Takayuki Yamaguchi]</p></li>
<li><p>Fixed a bug that unrelated column values are cleared in deletion.</p></li>
<li><p>Fixed a bug that a wrong index is used in sorting. [#766]
[Reported by Horikoshi Yuki]</p></li>
<li><p>[libedit] Fixed a bug that necessary initialization is
omitted. [GitHub#7] [Patch by SHIDARA Yoji]</p></li>
<li><p>[doc] Fixed a typo in documentation. [GitHub#8] [Patch by zunda]</p></li>
</ul>
</div>
<div class="section" id="id3">
<h3>Thanks<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Takayuki Yamaguchi</p></li>
<li><p>SHIDARA Yoji</p></li>
<li><p>Horikoshi Yuki</p></li>
<li><p>zunda</p></li>
<li><p>Hiroshi Umemoto</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-7-2011-10-29">
<span id="release-1-2-7"></span><h2>Release 1.2.7 - 2011-10-29<a class="headerlink" href="#release-1-2-7-2011-10-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id4">
<h3>Improvements<a class="headerlink" href="#id4" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[libedit] Added error check for wide character to
multibyte sequence conversion. [Reported by SHIDARA Yoji]</p></li>
<li><p>Added grn_geo_estimate_in_rectangle().</p></li>
<li><p>Added cursor API to geo search in rectangle.</p></li>
<li><p>Improved geo search in rectangle speed.</p></li>
<li><p>Added packages for Ubuntu 11.10 Oneiric Ocelot</p></li>
<li><p>[experimental] Supported Oracle Solaris 10 8/11. (just buildable with system gcc.)</p></li>
</ul>
</div>
<div class="section" id="id5">
<h3>Fixes<a class="headerlink" href="#id5" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a typo in document. [Reported by &#64;soundkitchen]</p></li>
</ul>
</div>
<div class="section" id="id6">
<h3>Thanks<a class="headerlink" href="#id6" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>SHIDARA Yoji</p></li>
<li><p>&#64;soundkitchen</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-6-2011-09-29">
<span id="release-1-2-6"></span><h2>Release 1.2.6 - 2011-09-29<a class="headerlink" href="#release-1-2-6-2011-09-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id7">
<h3>Improvements<a class="headerlink" href="#id7" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Improved error message on type cast.</p></li>
<li><p>Added geo point value validation on type cast.</p></li>
<li><p>Supported <a class="reference internal" href="../tutorial/query_expansion.html"><span class="doc">Query expansion</span></a>.</p></li>
<li><p>Added <cite>–query_expansion</cite> option to
<a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a> for query expansion.</p></li>
<li><p>Added geometry conversion macro between degree and msec.</p></li>
<li><p>Supported type cast in <a class="reference internal" href="../reference/functions/geo_distance.html"><span class="doc">geo_distance</span></a> ().</p></li>
<li><p>Don’t split tokens with full width space in command line. #986</p></li>
<li><p>Supported conversion between TokyoGeoPoint and WGS84GeoPoint.</p></li>
<li><p>Exported grn_geo_select_in_circle() and grn_geo_select_in_rectangle().</p></li>
<li><p>Supported CentOS 6.</p></li>
<li><p>Supported the current Debian GNU/Linux sid.
Patch by SATOH Fumiyasu. GitHub#3</p></li>
</ul>
</div>
<div class="section" id="id8">
<h3>Fixes<a class="headerlink" href="#id8" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a bug that geo point is loaded as broken value.</p></li>
</ul>
</div>
<div class="section" id="id9">
<h3>Thanks<a class="headerlink" href="#id9" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>SATOH Fumiyasu</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-5-2011-08-29">
<span id="release-1-2-5"></span><h2>Release 1.2.5 - 2011-08-29<a class="headerlink" href="#release-1-2-5-2011-08-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id10">
<h3>Improvements<a class="headerlink" href="#id10" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Added experimental Windows installer support.</p></li>
<li><p>Accepted “#” and “-” as a valid name characters. #1043</p></li>
<li><p>Accepted all valid characters except “_” as the first character. #1043</p></li>
<li><p>Supported <cite>–each</cite> for <cite>[…]</cite> form <a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a>. #1044</p></li>
<li><p>Added documentation for <a class="reference internal" href="../reference/suggest.html"><span class="doc">Suggest</span></a>.</p></li>
<li><p>Supported threshold as <cite>–frequency_threshold</cite> and
<cite>–conditional_probability_threshold</cite> options in all
<a class="reference internal" href="../reference/commands/suggest.html"><span class="doc">suggest</span></a> types. #1042</p></li>
<li><p>[groonga-suggest-httpd] Supported log reopen by SIGUSR1. #1048</p></li>
<li><p>Supported string input for reference vector column value. #1051</p></li>
<li><p>[groonga-suggest-httpd] Added <cite>–n-lines-per-log-file</cite>
option that changes log line limitation for a file.</p></li>
<li><p>[groonga-suggest-httpd] Added <cite>p</cite> parameter for
<cite>–conditional_probability_threshold</cite>.</p></li>
<li><p>Added GRN_CTX_PER_DB flag for grn_ctx_init() and grn_ctx_open(). #1053</p></li>
<li><p>Exported grn_ctx_close(). #1035</p></li>
</ul>
</div>
<div class="section" id="id11">
<h3>Fixes<a class="headerlink" href="#id11" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a crash bug that invalid value is passed as match expression
argument in <a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a>. #1047</p></li>
<li><p>Fixed a bug that hash table cursor returns garbage records.</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-4-2011-07-29">
<span id="release-1-2-4"></span><h2>Release 1.2.4 - 2011-07-29<a class="headerlink" href="#release-1-2-4-2011-07-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id12">
<h3>Improvements<a class="headerlink" href="#id12" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Re-supported <code class="docutils literal notranslate"><span class="pre">*BSD</span></code>. (Reported by OBATA Akio)</p></li>
<li><p>Improved sed related portability. (Suggested by OBATA Akio)</p></li>
<li><p>Re-supported Visual C++ 2008.</p></li>
<li><p>Supported <a class="reference internal" href="../reference/commands/check.html"><span class="doc">check</span></a> for hash table.</p></li>
<li><p>Ignored invalid _score in –sortby of <a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a>
for convenience. #1030</p></li>
<li><p>Added document about <a class="reference internal" href="../reference/log.html"><span class="doc">Log</span></a>.</p></li>
<li><p>Supported ~/.editrc.</p></li>
<li><p>Supported ~/.groonga-history.</p></li>
</ul>
</div>
<div class="section" id="id13">
<h3>Fixes<a class="headerlink" href="#id13" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed broken libedit support. (Reported by Daiki Ueno)</p></li>
<li><p>Fixed source URL in <code class="docutils literal notranslate"><span class="pre">*.spec</span></code> (Reported by Daiki Ueno)</p></li>
<li><p>Fixed patricia trie cursor returns wrong records.</p></li>
<li><p>Added missing database lock clear for grn_obj_clear_lock()
for database.</p></li>
<li><p>Fixed wrong record’s column values deletion possible on
record deletion.</p></li>
</ul>
</div>
<div class="section" id="id14">
<h3>Thanks<a class="headerlink" href="#id14" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>OBATA Akio</p></li>
<li><p>Daiki Ueno</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-3-2011-06-29">
<span id="release-1-2-3"></span><h2>Release 1.2.3 - 2011-06-29<a class="headerlink" href="#release-1-2-3-2011-06-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id15">
<h3>Improvements<a class="headerlink" href="#id15" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Added invalid table name check. #912</p></li>
<li><p>Added groonga-query-log-analyzer that analyze query log.</p></li>
<li><p>groonga command shows failed command on error.</p></li>
<li><p>groonga command shows file name and line no on error.</p></li>
<li><p>Improved error message of <a class="reference internal" href="../reference/commands/column_create.html"><span class="doc">column_create</span></a>. #952</p></li>
<li><p>Added GRN_OBJ_TABLE_DAT_KEY, double array trie, table. (experimental)</p></li>
</ul>
</div>
<div class="section" id="id16">
<h3>Fixes<a class="headerlink" href="#id16" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>fix get command crash. (Reported by OBATA Akio)</p></li>
<li><p>fix elapsed time overflow in query log. #944</p></li>
</ul>
</div>
<div class="section" id="id17">
<h3>Thanks<a class="headerlink" href="#id17" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>OBATA Akio</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-2-2011-05-29">
<span id="release-1-2-2"></span><h2>Release 1.2.2 - 2011-05-29<a class="headerlink" href="#release-1-2-2-2011-05-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id18">
<h3>Improvements<a class="headerlink" href="#id18" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Added packages for Ubuntu 11.04 Natty Narwhal.</p></li>
<li><p>Removed packages for Ubuntu 10.10 Maverick Meerkat.</p></li>
<li><p>RPM: Split server related packages to groonga-server package.</p></li>
<li><p>suggest: Added target object name into error messages.</p></li>
<li><p>document: Started English support. (not completed yet.)</p></li>
<li><p>groonga-suggest-httpd: Added –disable-max-fd-check option.</p></li>
<li><p>groonga: Renamed <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-a"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">-a</span></code></a> and <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-a"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span>
<span class="pre">--address</span></code></a> options to <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-bind-address"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">--bind-address</span></code></a> option.</p></li>
<li><p>groonga-suggest-httpd: Renamed –address option to –bind-address.</p></li>
<li><p>Changed admin HTML install directory to
$PREFIX/share/groonga/html/admin/ from
$PREFIX/share/groonga/admin_html/.</p></li>
<li><p>groonga-suggest-httpd: Used “application/json” for JSON response
instead of “text/javascript”.</p></li>
<li><p>Windows: Used DLL relative path instead of executable file
relative path.</p></li>
<li><p>MeCab: Added error message from MeCab on MeCab initialize error.</p></li>
<li><p>suggest: Added prefix_search parameter to suggest
command. #909</p></li>
<li><p>plugin: Added grn_plugin_get_system_plugins_dir() and
grn_plugin_get_suffix() API.</p></li>
<li><p>Added grn_obj_is_builtin() API.</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a>: Added table name check. #934</p></li>
<li><p>Showed invalid name context in error message. #935</p></li>
</ul>
</div>
<div class="section" id="id19">
<h3>Fixes<a class="headerlink" href="#id19" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a data breaking bug on multi process update. #890</p></li>
</ul>
</div>
</div>
<div class="section" id="id20">
<h2>1.2.1リリース - 2011-04-29<a class="headerlink" href="#id20" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id21">
<h3>改良<a class="headerlink" href="#id21" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>suggestコマンドにthresholdパラメーターを追加。#895</p></li>
<li><p>suggestのHTTPサーバにlimitパラメーターを追加。#899</p></li>
<li><p>grntest: SIGINTでの中断に対応。</p></li>
</ul>
</div>
<div class="section" id="id22">
<h3>修正<a class="headerlink" href="#id22" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>同時に複数のデータベースを開いているとき、1つでもデータベー
スを閉じると関連するプラグインも閉じられてしまう問題を修正。 #894</p></li>
<li><p>configureの–helpで出力される–with-deafult-encodingの値が
間違っていた問題を修正。（ICHII Takashiさんが報告）</p></li>
<li><p>チュートリアル中のtypoを修正。（moozさんが修正）</p></li>
</ul>
</div>
<div class="section" id="id23">
<h3>感謝<a class="headerlink" href="#id23" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>ICHII Takashiさん</p></li>
<li><p>moozさん</p></li>
</ul>
</div>
</div>
<div class="section" id="id24">
<h2>1.2.0リリース - 2011-03-29<a class="headerlink" href="#id24" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id25">
<h3>改良<a class="headerlink" href="#id25" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>MacPortsでのインストールドキュメントを追加。</p></li>
<li><p>Homebrewでのインストールドキュメントを追加。</p></li>
<li><p>WindowsではMinGWでもpthreadを使わないようにした。</p></li>
<li><p>オーバーフローチェックを強化。</p></li>
<li><p>位置情報の入力値チェックを強化。</p></li>
<li><p>インデックスを用いたジオサーチの例をチュートリアルに追加。 #438</p></li>
<li><p>Debian GNU/Linux wheezyのパッケージを追加。</p></li>
<li><p>Debian GNU/Linux lennyのパッケージを削除。</p></li>
<li><p>Debianパッケージをcdbsベースからdebhelperベースへ移行。
パッケージ名の変更あり。 #887</p></li>
<li><p>MeCabトークナイザーの読み込みエラーを無視するようにした。た
だし、ログには残る。 #893</p></li>
</ul>
</div>
<div class="section" id="id26">
<h3>修正<a class="headerlink" href="#id26" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>autoconf 2.59環境において、ファイルシステムのルート直下に
groongaディレクトリを作成しようとする問題を修正。 #833</p></li>
<li><p>JSONPが動作しなくなっていた問題を修正。</p></li>
<li><p>MeCabトークナイザーの読み込みに失敗したときにクラッシュする問題を修正。
（&#64;tomotaka_itoさんが報告）</p></li>
<li><p>[非互換] 位置情報の小数表記からミリ秒への変換誤差が大きい問題を修正。</p></li>
<li><p><a class="reference internal" href="../reference/functions/geo_in_rectangle.html"><span class="doc">geo_in_rectangle</span></a> の <code class="docutils literal notranslate"><span class="pre">top_left</span></code> と
<code class="docutils literal notranslate"><span class="pre">bottom_right</span></code> に同じ位置を指定するとクラッシュする問題を修正。</p></li>
<li><p>メモリリークを修正。</p></li>
<li><p>小数形式のTimeリテラルをロードするとミリ秒情報が落ちる問題を修正。 #880</p></li>
<li><p><a class="reference internal" href="../reference/commands/column_list.html"><span class="doc">column_list</span></a> のドキュメントを修正。 #758</p></li>
<li><p><a class="reference internal" href="../reference/commands/table_list.html"><span class="doc">table_list</span></a> のドキュメントを修正。</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a> で_valueを指定するとメモリリークする問題を修正。 #878</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a> でクラッシュする問題を修正。 #661</p></li>
</ul>
</div>
<div class="section" id="id27">
<h3>実験的<a class="headerlink" href="#id27" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>grn_table_truncate()を追加。（実験的。問題あり）</p></li>
<li><p>truncateコマンドを追加。（実験的。問題あり） #888</p></li>
</ul>
</div>
<div class="section" id="id28">
<h3>感謝<a class="headerlink" href="#id28" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>&#64;tomotaka_itoさん</p></li>
</ul>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">News - 1.2.x</a><ul>
<li><a class="reference internal" href="#release-1-2-9-2011-12-29">Release 1.2.9 - 2011-12-29</a><ul>
<li><a class="reference internal" href="#improvements">Improvements</a></li>
<li><a class="reference internal" href="#fixes">Fixes</a></li>
<li><a class="reference internal" href="#thanks">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-8-2011-11-29">Release 1.2.8 - 2011-11-29</a><ul>
<li><a class="reference internal" href="#id1">Improvements</a></li>
<li><a class="reference internal" href="#id2">Fixes</a></li>
<li><a class="reference internal" href="#id3">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-7-2011-10-29">Release 1.2.7 - 2011-10-29</a><ul>
<li><a class="reference internal" href="#id4">Improvements</a></li>
<li><a class="reference internal" href="#id5">Fixes</a></li>
<li><a class="reference internal" href="#id6">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-6-2011-09-29">Release 1.2.6 - 2011-09-29</a><ul>
<li><a class="reference internal" href="#id7">Improvements</a></li>
<li><a class="reference internal" href="#id8">Fixes</a></li>
<li><a class="reference internal" href="#id9">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-5-2011-08-29">Release 1.2.5 - 2011-08-29</a><ul>
<li><a class="reference internal" href="#id10">Improvements</a></li>
<li><a class="reference internal" href="#id11">Fixes</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-4-2011-07-29">Release 1.2.4 - 2011-07-29</a><ul>
<li><a class="reference internal" href="#id12">Improvements</a></li>
<li><a class="reference internal" href="#id13">Fixes</a></li>
<li><a class="reference internal" href="#id14">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-3-2011-06-29">Release 1.2.3 - 2011-06-29</a><ul>
<li><a class="reference internal" href="#id15">Improvements</a></li>
<li><a class="reference internal" href="#id16">Fixes</a></li>
<li><a class="reference internal" href="#id17">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-2-2011-05-29">Release 1.2.2 - 2011-05-29</a><ul>
<li><a class="reference internal" href="#id18">Improvements</a></li>
<li><a class="reference internal" href="#id19">Fixes</a></li>
</ul>
</li>
<li><a class="reference internal" href="#id20">1.2.1リリース - 2011-04-29</a><ul>
<li><a class="reference internal" href="#id21">改良</a></li>
<li><a class="reference internal" href="#id22">修正</a></li>
<li><a class="reference internal" href="#id23">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#id24">1.2.0リリース - 2011-03-29</a><ul>
<li><a class="reference internal" href="#id25">改良</a></li>
<li><a class="reference internal" href="#id26">修正</a></li>
<li><a class="reference internal" href="#id27">実験的</a></li>
<li><a class="reference internal" href="#id28">感謝</a></li>
</ul>
</li>
</ul>
</li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.2.x</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>